curl --request GET \
--url https://api.us.cr4ce.com/attachment/{token} \
--header 'Accept: <accept>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.us.cr4ce.com/attachment/{token}"
headers = {
"Accept": "<accept>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Accept: '<accept>', 'x-api-key': '<api-key>'}};
fetch('https://api.us.cr4ce.com/attachment/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"application": {
"slug": "AbCdEfGh",
"link": "https://api.au.cr4ce.com/application/AbCdEfGh",
"title": "Project title"
},
"attachment_fields": [
{
"slug": "IjKlMnOp",
"link": "https://api.au.cr4ce.com/field/IjKlMnOp",
"label": {
"en_GB": "Type of attachment"
},
"title": {
"en_GB": "Type of attachment"
},
"value": "Photo",
"translated": {
"en_GB": "Photo"
}
},
{
"slug": "QrStUvWx",
"link": "https://api.au.cr4ce.com/field/QrStUvWx",
"label": {
"en_GB": "<p>URL</p>"
},
"title": {
"en_GB": "URL"
},
"value": "https://example.com/image.svg",
"translated": {
"en_GB": "https://example.com/image.svg"
}
}
],
"created": "2025-04-27T01:00:00Z",
"file": {
"token": "AbCdEfGhIjKlMnOp",
"link": "https://api.au.cr4ce.com/file/AbCdEfGhIjKlMnOp",
"download": "https://files.au.cr4ce.com/file/AbCdEfGhIjKlMnOp/example.pdf?Expires=1781485359&Signature=REDACTED&Key-Pair-Id=REDACTED",
"filename": "example.pdf"
},
"order": 1,
"tab": {
"slug": "YzAbCdEf",
"link": "https://api.au.cr4ce.com/tab/YzAbCdEf",
"name": {
"en_GB": "Attachments"
}
},
"token": "AbCdEfGhIjKlMnOp",
"updated": "2025-04-27T01:05:00Z"
}{
"message": "<string>",
"status_code": 400
}{
"message": "<string>",
"status_code": 401
}{
"message": "<string>",
"status_code": 403
}{
"message": "<string>",
"status_code": 429
}{
"status": "Maintenance in progress"
}Get attachment
Get the attachment identified by the specified token. Unknown tokens return 400 Bad Request.
Authorizations
API key used to authenticate and authorise every request.
Include it in the x-api-key header.
Headers
Defines the response type.
application/vnd.Creative Force.v2.3+json, application/vnd.Creative Force.v2.3+xml Defines the languages included in the response. If non are provided, the account default language is returned.
Value all overrides any other values present.
You can request multiple languages using a comma-separated string of languages.
The selected language must be supported by your account or a 400 error is returned.
all, ar_AR, bg_BG, bn_IN, ca_ES, cs_CZ, cy_GB, da_DK, de_DE, en_GB, en_US, el_GR, es_NN, es_LA, et_EE, fa_NN, fi_FI, fr_FR, fr_CA, he_IL, hi_IN, hr_HR, hu_HU, hy_AM, it_IT, ja_JP, ko_KR, lt_LT, ms_MY, nl_NL, nb_NO, pl_PL, pt_BR, ro_RO, ru_RU, sk_SK, sl_SI, sq_AL, sr_RS, sv_SE, sw_NN, th_TH, tr_TR, uk_UA, vi_VN, zh_CN, zh_HK Path Parameters
Token string.
^[A-Za-z0-9]{16}$|^[A-Za-z0-9]{32}$Response
Attachment retrieved.
File attached to an application through an attachments-typed form tab.
Application the attachment belongs to.
Show child attributes
Show child attributes
Form fields captured against this attachment, one item per field, in form order.
Show child attributes
Show child attributes
Date and time when the attachment was created.
File backing the attachment.
Show child attributes
Show child attributes
Position of the attachment within its tab.
Attachments tab the attachment belongs to.
Show child attributes
Show child attributes
Token identifying the attachment file, same value as file.token.
Date and time when the attachment was last updated.